﻿$SubscriptionId="<Your_SubscriptionId>"
$resourceId="subscriptions/<Your_SubscriptionId>/resourceGroups/<Your_Resource_Group>/providers/<desired_Provider>/<Resource_Name>"
$MetricName='<Metric Name>'

#Load the Azure Snap-in
Import-Module -Name Az 
#Connect to your Azure Account
Connect-AzAccount
$context=Get-AzContext
Get-AzSubscription
Set-AzContext -SubscriptionId $SubscriptionId
Clear-Host
$metrics=Get-AzMetric `
    -ResourceId $resourceId `
    -MetricName $MetricName `
    -TimeGrain 00:01:00  `
    -ResultType Data |`
        select Timeseries
foreach($metric in $metrics.Timeseries)
{
    $metric.Data|Format-Table
}