-- Create the external table
CREATE EXTERNAL TABLE dbo.covid_data (  
	[date] NVARCHAR(255),
	total_cases INT,
	new_cases INT,
	total_deaths INT,
	new_deaths INT,
	new_cases_avg_last_7_days NVARCHAR(255),
	aged_65_older NVARCHAR(255),
	aged_70_older NVARCHAR(255),
	life_expectancy NVARCHAR(255),
	population NVARCHAR(255),
	population_density NVARCHAR(255),
	location NVARCHAR(255),
	continent NVARCHAR(255)
)  
WITH (
	LOCATION = '/transform/covid19_data_single_file',
    DATA_SOURCE = <datasource_name_here>,  
    FILE_FORMAT = CsvFileFormat  
);  

CREATE STATISTICS stats_covid_data_01 ON covid_data(location);